org.apache.jmeter.save.converters

## Class SampleResultConverter

- java.lang.Object
- - com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
  - - org.apache.jmeter.save.converters.SampleResultConverter

All Implemented Interfaces:
  com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.ConverterMatcher

Direct Known Subclasses:
  HTTPResultConverter

    public class SampleResultConverter
    extends com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter

XStream Converter for the SampleResult class

### Field Summary

Fields
`protected static String` `TAG_COOKIES`
`protected static String` `TAG_METHOD`
`protected static String` `TAG_QUERY_STRING`
`protected static String` `TAG_REDIRECT_LOCATION`
`protected static String` `TAG_REQUEST_HEADER`
`protected static String` `TAG_RESPONSE_DATA`
`protected static String` `TAG_RESPONSE_FILE`
`protected static String` `TAG_RESPONSE_HEADER`
`protected static String` `TAG_SAMPLER_DATA`

### Constructor Summary

Constructors
Constructor and Description
`SampleResultConverter(com.thoughtworks.xstream.mapper.Mapper arg0)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `canConvert(Class arg0)`
`static String` `getVersion()` Returns the converter version; used to check for possible incompatibilities
`void` `marshal(Object obj, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
`protected void` `readFile(String resultFileName, SampleResult res)`
`protected void` `retrieveAttributes(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context, SampleResult res)`
`protected boolean` `retrieveItem(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context, SampleResult res, Object subItem)`
`protected void` `saveAssertions(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context, SampleResult res, SampleSaveConfiguration save)` Save assertion results from the sample result into the stream
`protected void` `saveRequestHeaders(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context, SampleResult res, SampleSaveConfiguration save)` Save request headers from the sample result into the stream
`protected void` `saveResponseData(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context, SampleResult res, SampleSaveConfiguration save)` Save the response from the sample result into the stream
`protected void` `saveResponseHeaders(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context, SampleResult res, SampleSaveConfiguration save)` Save response headers from sample result into the stream
`protected void` `saveSamplerData(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context, SampleResult res, SampleSaveConfiguration save)` Save the data of the sample result to a stream
`protected void` `saveSubResults(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context, SampleResult res, SampleSaveConfiguration save)` Save sub results from sample result into the stream
`protected void` `setAttributes(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context, SampleResult res, SampleSaveConfiguration save)` Save attributes of the sample result to the stream
`Object` `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`
`protected void` `writeString(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, String tag, String value)` Write a tag with a content of `value` to the `writer`

### Methods inherited from class com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter

`createCollection, mapper, readBareItem, readCompleteItem, readItem, writeBareItem, writeCompleteItem, writeItem, writeNullItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG_COOKIES

    protected static final String TAG_COOKIES

See Also:
  Constant Field Values

#### TAG_METHOD

    protected static final String TAG_METHOD

See Also:
  Constant Field Values

#### TAG_QUERY_STRING

    protected static final String TAG_QUERY_STRING

See Also:
  Constant Field Values

#### TAG_REDIRECT_LOCATION

    protected static final String TAG_REDIRECT_LOCATION

See Also:
  Constant Field Values

#### TAG_REQUEST_HEADER

    protected static final String TAG_REQUEST_HEADER

See Also:
  Constant Field Values

#### TAG_RESPONSE_DATA

    protected static final String TAG_RESPONSE_DATA

See Also:
  Constant Field Values

#### TAG_RESPONSE_HEADER

    protected static final String TAG_RESPONSE_HEADER

See Also:
  Constant Field Values

#### TAG_SAMPLER_DATA

    protected static final String TAG_SAMPLER_DATA

See Also:
  Constant Field Values

#### TAG_RESPONSE_FILE

    protected static final String TAG_RESPONSE_FILE

See Also:
  Constant Field Values

### Constructor Detail

#### SampleResultConverter

    public SampleResultConverter(com.thoughtworks.xstream.mapper.Mapper arg0)

Parameters:
  `arg0` - the mapper

### Method Detail

#### getVersion

    public static String getVersion()

Returns the converter version; used to check for possible incompatibilities

Returns:
  the version of this converter

#### canConvert

    public boolean canConvert(Class arg0)

Specified by:
  `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`
Specified by:
  `canConvert` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`

#### marshal

    public void marshal(Object obj,
                        com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                        com.thoughtworks.xstream.converters.MarshallingContext context)

Specified by:
  `marshal` in interface `com.thoughtworks.xstream.converters.Converter`
Specified by:
  `marshal` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`

#### saveSamplerData

    protected void saveSamplerData(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                                   com.thoughtworks.xstream.converters.MarshallingContext context,
                                   SampleResult res,
                                   SampleSaveConfiguration save)

Save the data of the sample result to a stream

Parameters:
  `writer` - stream to save objects into
  `context` - context for xstream to allow nested objects
  `res` - sample to be saved
  `save` - configuration telling us what to save

#### saveResponseData

    protected void saveResponseData(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                                    com.thoughtworks.xstream.converters.MarshallingContext context,
                                    SampleResult res,
                                    SampleSaveConfiguration save)

Save the response from the sample result into the stream

Parameters:
  `writer` - stream to save objects into
  `context` - context for xstream to allow nested objects
  `res` - sample to be saved
  `save` - configuration telling us what to save

#### saveRequestHeaders

    protected void saveRequestHeaders(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                                      com.thoughtworks.xstream.converters.MarshallingContext context,
                                      SampleResult res,
                                      SampleSaveConfiguration save)

Save request headers from the sample result into the stream

Parameters:
  `writer` - stream to save objects into
  `context` - context for xstream to allow nested objects
  `res` - sample to be saved
  `save` - configuration telling us what to save

#### saveResponseHeaders

    protected void saveResponseHeaders(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                                       com.thoughtworks.xstream.converters.MarshallingContext context,
                                       SampleResult res,
                                       SampleSaveConfiguration save)

Save response headers from sample result into the stream

Parameters:
  `writer` - stream to save objects into
  `context` - context for xstream to allow nested objects
  `res` - sample to be saved
  `save` - configuration telling us what to save

#### saveSubResults

    protected void saveSubResults(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                                  com.thoughtworks.xstream.converters.MarshallingContext context,
                                  SampleResult res,
                                  SampleSaveConfiguration save)

Save sub results from sample result into the stream

Parameters:
  `writer` - stream to save objects into
  `context` - context for xstream to allow nested objects
  `res` - sample to be saved
  `save` - configuration telling us what to save

#### saveAssertions

    protected void saveAssertions(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                                  com.thoughtworks.xstream.converters.MarshallingContext context,
                                  SampleResult res,
                                  SampleSaveConfiguration save)

Save assertion results from the sample result into the stream

Parameters:
  `writer` - stream to save objects into
  `context` - context for xstream to allow nested objects
  `res` - sample to be saved
  `save` - configuration telling us what to save

#### setAttributes

    protected void setAttributes(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                                 com.thoughtworks.xstream.converters.MarshallingContext context,
                                 SampleResult res,
                                 SampleSaveConfiguration save)

Save attributes of the sample result to the stream

Parameters:
  `writer` - stream to save objects into
  `context` - context for xstream to allow nested objects
  `res` - sample to be saved
  `save` - configuration telling us what to save

#### writeString

    protected void writeString(com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                               String tag,
                               String value)

Write a tag with a content of `value` to the `writer`

Parameters:
  `writer` - writer to write the tag into
  `tag` - name of the tag to use
  `value` - content for tag

#### unmarshal

    public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                            com.thoughtworks.xstream.converters.UnmarshallingContext context)

Specified by:
  `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`
Specified by:
  `unmarshal` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`

#### retrieveItem

    protected boolean retrieveItem(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                                   com.thoughtworks.xstream.converters.UnmarshallingContext context,
                                   SampleResult res,
                                   Object subItem)

Parameters:
  `reader` - stream from which the objects should be read
  `context` - context for xstream to allow nested objects
  `res` - sample result into which the information should be retrieved
  `subItem` - sub item which should be added into `res`
Returns:
  `true` if the item was processed (for HTTPResultConverter)

#### retrieveAttributes

    protected void retrieveAttributes(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                                      com.thoughtworks.xstream.converters.UnmarshallingContext context,
                                      SampleResult res)

Parameters:
  `reader` - stream to read objects from
  `context` - context for xstream to allow nested objects
  `res` - sample result on which the attributes should be set

#### readFile

    protected void readFile(String resultFileName,
                            SampleResult res)